[Résolu]Tester si deux drawing sont ouvert

Voir le sujet précédent Voir le sujet suivant Aller en bas

R?solu [Résolu]Tester si deux drawing sont ouvert

Message par xorman le Mar 22 Sep 2015 - 3:54

Bonjour
Je vous savoir comment déterminer si deux drawing sont ouvert dans CATIA ?

merci


Dernière édition par xorman le Ven 27 Nov 2015 - 23:24, édité 1 fois
avatar
xorman
actif
actif

Messages : 96
Date d'inscription : 06/09/2008
Age : 41
Localisation : Cherbourg

http://www.myimpression3d.com

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par Guss_ le Mer 23 Sep 2015 - 1:14

Il faut utiliser l'objet Catia.Documents

Ensuite avec la propriété .count tu vois le nombre de documents ouverts
Ensuite tu fait une boucle du nombre de document ouvert et tu vérifies le nom de chaque document

ça devrait ressembler à quelque chose comme ça :

Code:
set Documents_ouverts = catia.documents

compte = Documents_ouverts.count
for a = 1 to compte
  if Documents_ouverts.item(a).name = "nom à chercher" then
  msgbox  "document ouvert"
  endif
next


J'ai pas vérifié si la syntaxe était correct, mais c'est pour l'idée.

Guss_
Fédérateur
Fédérateur

Messages : 498
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par xorman le Jeu 24 Sep 2015 - 3:24

Bonjour
Je ne cherche pas le nom, je cherche a savoir si les deux documents ouvert sont des drawing
merci
avatar
xorman
actif
actif

Messages : 96
Date d'inscription : 06/09/2008
Age : 41
Localisation : Cherbourg

http://www.myimpression3d.com

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par Guss_ le Jeu 24 Sep 2015 - 3:38

ah ben il y a alors moi je regarderais dans le nom s'il se termine par Catdrawing ou autre chose

Guss_
Fédérateur
Fédérateur

Messages : 498
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par cad00 le Sam 7 Nov 2015 - 2:01

Public Property Get NouveauDocCatia() As Documents
Set NouveauDocCatia = CATIA.Documents
End Property
'--------------------------------------------------
Public Function VerifDraft()
Dim nb As Integer
Dim NomDraft As String
'
nb = NouveauDocCatia.Count
'
For i = 1 To nb
   NomDocCatia = NouveauDocCatia.Item(i).Name
   If (InStr(1, NomDocCatia, "CATDrawing") > 0) Then
       NomDraft = NomDraft & "  " & NomDocCatia
   End If
Next
MsgBox NomDraft
End Function

cad00
actif
actif

Messages : 32
Date d'inscription : 17/03/2015
Localisation : PACA

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par xorman le Ven 27 Nov 2015 - 1:58

nickel ca fonctionne
merci beaucoup
Code:

Dim DocCollection As Documents
Dim Nbdoc As Integer
Dim Nbdrawing As Integer
Dim NomDraft As String
Dim NomDocCatia As String
  
Set NouveauDocCatia = CATIA.Documents
 

'Test pour savoir si 2 drawing existent
Nbdoc = NouveauDocCatia.Count

For i = 1 To Nbdoc
   NomDocCatia = NouveauDocCatia.Item(i).Name
   If (InStr(1, NomDocCatia, "CATDrawing") > 0) Then
       NomDraft = NomDraft & "  " & NomDocCatia
       Nbdrawing = Nbdrawing + 1
   End If
Next
If Nbdrawing > 1 Then
    MsgBox "La macro cartouche ne peut être lancée car deux drawing sont ouverts, veuillez ne garder qu'un seul drawing à l'écran", vbOKOnly + vbCritical
    End  'on sort de la fonction
End If
avatar
xorman
actif
actif

Messages : 96
Date d'inscription : 06/09/2008
Age : 41
Localisation : Cherbourg

http://www.myimpression3d.com

Revenir en haut Aller en bas

R?solu Re: [Résolu]Tester si deux drawing sont ouvert

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum